esprit-2013-1a2-high-octane: perso.c File Reference

esprit-2013-1a2-high-octane version one finale

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables
Macros | Functions
perso.c File Reference

Définit le personnage rat ainsi que les objets qui ont un mouvement repetè More...

`#include <allegro.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "background.h"`
`#include "collision.h"`
`#include "jennyfer.h"`
`#include "perso.h"`
Include dependency graph for perso.c:

## Macros

#define | GFX_W 642
#define | GFX_H 450

## Functions

void | draw_clef (clef clef, BITMAP *Buffer, int *CLEE)
| module cle
void | load_clef (clef *clef)
void | init_clef (clef *clef)
void | cle (clef *clef, jennyfer *jenn, int *CLEE)
| cette fonction permet a la variable CLEE de recevoir 1 qui va lui permettre de prendre la clè
void | load_barre (barre *barre)
| module barre qui se translate sur l'axe des y
void | destroy_barre (barre *barre)
void | init_barre (barre *barre)
void | move_barre_up (barre *barre)
| c'est la translation sur l'axe des y
void | move_barre_down (barre *barre)
| c'est la translation sur l'axe des y
void | verifdirr (barre *barre)
void | move_barre (barre *barre)
| cettte fonction fait appel a 2 fonction move_barre_down et move_barre_up
void | draw_barre (barre barre, BITMAP *Buffer)
| on utilise la fonction draw_sprite pour l'affichage des sprites
void | barreD (jennyfer *jenn, int *br, BITMAP *Buffer)
| au moment ou le joueur appuiera sur space la barre commencera a bouger
void | col_barre (BITMAP *Buffer, barre *barre, jennyfer *jenn)
void | load_barre1 (barre1 *barre1)
| module barre1 qui se translate sur l'axe des x
void | destroy_barre1 (barre1 *barre1)
void | init_barre1 (barre1 *barre1)
void | move_barre1_right (barre1 *barre1)
| c'est la translation sur l'axe des x
void | move_barre1_left (barre1 *barre1)
| c'est la translation sur l'axe des x
void | verifd (barre1 *barre1)
void | move_barre1 (barre1 *barre1)
| cettte fonction fait appel a 2 fonction move_barre1_right et move_barre1_left
void | draw_barre1 (barre1 barre1, BITMAP *Buffer)
| on utilise la fonction draw_sprite pour l'affichage des sprites
void | col_barre1 (BITMAP *Buffer, barre1 *barre1, jennyfer *jenn)
void | load_barre2 (barre2 *barre2)
| module barre2 mouvement repetè sur l'axe des y
void | destroy_barre2 (barre2 *barre2)
void | init_barre2 (barre2 *barre2)
void | move_barre2_up (barre2 *barre2)
void | move_barre2_down (barre2 *barre2)
| c'est la translation sur l'axe des y
void | veri (barre2 *barre2)
void | move_barre2 (barre2 *barre2)
| cettte fonction fait appel a 2 fonction move_barre_down et move_barre_up
void | draw_barre2 (barre2 barre2, BITMAP *Buffer)
| on utilise la fonction draw_sprite pour l'affichage des sprites
void | col_barre2 (BITMAP *Buffer, barre2 *barre2, jennyfer *jenn)
void | load_file (file *file)
| module file *mouvement repetè sur l'axe des x
void | destroy_file (file *file)
void | init_file (file *file)
void | move_file_right (file *file)
| c'est la translation sur l'axe des x
void | move_file_left (file *file)
void | verif (file *file)
void | move_file (file *file)
| cettte fonction fait appel a 2 fonction move_file_right et move_file_left
void | draw_file (file file, BITMAP *Buffer)
| on utilise la fonction draw_sprite pour l'affichage des sprites
void | col_file (BITMAP *Buffer, file *file, jennyfer *jenn)
void | load_rat (rat *rat)
| module rat *mouvement repetè sur l'axe des x
void | destroy_rat (rat *rat)
void | init_rat (rat *rat)
void | move_rat_right (rat *rat)
| c'est la translation sur l'axe des x
void | move_rat_left (rat *rat)
| c'est la translation sur l'axe des x
void | verifdirre (rat *rat)
void | move_rat (rat *rat)
| cettte fonction fait appel a 2 fonction move_rat_right et move_rat_left
void | draw_rat (rat rat, BITMAP *Buffer)
| on utilise la fonction draw_sprite pour l'affichage des sprites

## Detailed Description

Définit le personnage rat ainsi que les objets qui ont un mouvement repetè

Author
  fatma & omar <3

Version
  1.0

Date
  20 mai 2013

## Function Documentation

void barreD | ( | jennyfer * | jenn,
|  | int * | br,
|  | BITMAP * | Buffer
| ) |  |

au moment ou le joueur appuiera sur space la barre commencera a bouger

elle permet le mouvement de la barre qui est en attente

Parameters

  jenn | est un pointeur sur la structure jennyfer , Buffer qui est la memoire ou se charge les images *au moment ou br qui est de type int sera egale a un la barre commencera son mouventemt

Returns
  void

Here is the caller graph for this function:

void cle | ( | clef * | clef,
|  | jennyfer * | jenn,
|  | int * | CLEE
| ) |  |

cette fonction permet a la variable CLEE de recevoir 1 qui va lui permettre de prendre la clè

Parameters

  clef | Un pointeur sur la structure clef *jenn Un pointeur sur la structure jennyfer *l'adresse de la variable CLEE qui est de type entier nous permet d'obtenir la clè

Returns
  void

Here is the caller graph for this function:

void col_barre | ( | BITMAP * | Buffer,
|  | barre * | barre,
|  | jennyfer * | jenn
| ) |  |

elle permet de detecter la collision entre jennyfer et la barre

Parameters

  jenn | est un pointeur sur la structure jennyfer , Buffer qui est la memoire ou se charge les images *barre est un pointeur sur la structure barre

Returns
  void

Here is the caller graph for this function:

void col_barre1 | ( | BITMAP * | Buffer,
|  | barre1 * | barre1,
|  | jennyfer * | jenn
| ) |  |

elle permet de detecter la collision entre jennyfer et la barre1

Parameters

  jenn | est un pointeur sur la structure jennyfer , Buffer qui est la memoire ou se charge les images *barre1 est un pointeur sur la structure barre1

Returns
  void

Here is the caller graph for this function:

void col_barre2 | ( | BITMAP * | Buffer,
|  | barre2 * | barre2,
|  | jennyfer * | jenn
| ) |  |

elle permet de detecter la collision entre jennyfer et la barre2

Parameters

  jenn | est un pointeur sur la structure jennyfer , Buffer qui est la memoire ou se charge les images *barre2 est un pointeur sur la structure barre2

Returns
  void

Here is the caller graph for this function:

void col_file | ( | BITMAP * | Buffer,
|  | file * | file,
|  | jennyfer * | jenn
| ) |  |

elle permet de detecter la collision entre jennyfer et la barre2

Parameters

  jenn | est un pointeur sur la structure jennyfer , Buffer qui est la memoire ou se charge les images *file est un pointeur sur la structure file

Returns
  void

Here is the caller graph for this function:

void destroy_barre | ( | barre * | barre | ) |

il ecrase ce qu'il y'a dans le Buffer

Parameters

  barre | Un pointeur sur la structure barre

Returns
  void

Here is the caller graph for this function:

void destroy_barre1 | ( | barre1 * | barre | ) |

il ecrase ce qu'il y'a dans le Buffer

Parameters

  barre1 | Un pointeur sur la structure barre1

Returns
  void

Here is the caller graph for this function:

void destroy_barre2 | ( | barre2 * | barre2 | ) |

il ecrase ce qu'il y'a dans le Buffer

Parameters

  barre2 | Un pointeur sur la structure barre2

Returns
  void

Here is the caller graph for this function:

void destroy_file | ( | file * | file | ) |

il ecrase ce qu'il y'a dans le Buffer

Parameters

  file | Un pointeur sur la structure file

Returns
  void

Here is the caller graph for this function:

void destroy_rat | ( | rat * | rat | ) |

il ecrase ce qu'il y'a dans le Buffer

Parameters

  rat | Un pointeur sur la structure rat

Returns
  void

Here is the caller graph for this function:

void draw_barre | ( | barre | barre,
|  | BITMAP * | Buffer
| ) |  |

on utilise la fonction draw_sprite pour l'affichage des sprites

elle permet l'affichage de l'objet selon sa direction et son mouvement

Parameters

  barre | de type barre , Buffer qui est la memoire ou se charge les images

Returns
  void

Here is the caller graph for this function:

void draw_barre1 | ( | barre1 | barre1,
|  | BITMAP * | Buffer
| ) |  |

on utilise la fonction draw_sprite pour l'affichage des sprites

elle permet l'affichage de l'objet selon sa direction et son mouvement

Parameters

  barre1 | de type barre1 , Buffer qui est la memoiretampon ou se charge les images

Returns
  void

Here is the caller graph for this function:

void draw_barre2 | ( | barre2 | barre2,
|  | BITMAP * | Buffer
| ) |  |

on utilise la fonction draw_sprite pour l'affichage des sprites

elle permet l'affichage de l'objet selon sa direction et son mouvement

Parameters

  barre2 | de type barre2 , Buffer qui est la memoire ou se charge les images

Returns
  void

Here is the caller graph for this function:

void draw_clef | ( | clef | clef,
|  | BITMAP * | Buffer,
|  | int * | CLEE
| ) |  |

module cle

elle permet l'affichage de l'objet on utilise la fonction draw_sprite pour l'affichage des sprites

Parameters

  clef | de type clef , Buffer qui est la memoire ou se charge les images si cLEE=0 elle permet l'affichage de l'image de la clè

Returns
  void

Here is the caller graph for this function:

void draw_file | ( | file | file,
|  | BITMAP * | Buffer
| ) |  |

on utilise la fonction draw_sprite pour l'affichage des sprites

elle permet l'affichage de l'objet selon sa direction et son mouvement

Parameters

  file | de type file , Buffer qui est la memoire ou se charge les images

Returns
  void

Here is the caller graph for this function:

void draw_rat | ( | rat | rat,
|  | BITMAP * | Buffer
| ) |  |

on utilise la fonction draw_sprite pour l'affichage des sprites

elle permet l'affichage du personnage rat selon sa direction et son mouvement

Parameters

  rat | de type rat , Buffer qui est la memoire ou se charge les images

Returns
  void

Here is the caller graph for this function:

void init_barre | ( | barre * | barre | ) |

Les champs direction et position(x,y) sont initialisés avant que le programme entre dans la boucle de jeu

Parameters

  barre | Un pointeur sur la structure barre

Returns
  void

Here is the caller graph for this function:

void init_barre1 | ( | barre1 * | barre1 | ) |

Les champs direction et position(x,y) sont initialisés avant que le programme entre dans la boucle de jeu

Parameters

  barre1 | Un pointeur sur la structure barre1

Returns
  void

Here is the caller graph for this function:

void init_barre2 | ( | barre2 * | barre2 | ) |

Les champs direction et position(x,y) sont initialisés avant que le programme entre dans la boucle de jeu

Parameters

  barre2 | Un pointeur sur la structure barre2

Returns
  void

Here is the caller graph for this function:

void init_clef | ( | clef * | clef | ) |

Les champs direction et position(x,y) sont initialisés avant que le programme entre dans la boucle de jeu

Parameters

  clef | Un pointeur sur la structure clef

Returns
  void

Here is the caller graph for this function:

void init_file | ( | file * | file | ) |

Les champs direction et position(x,y) sont initialisés avant que le programme entre dans la boucle de jeu

Parameters

  file | Un pointeur sur la structure file

Returns
  void

Here is the caller graph for this function:

void init_rat | ( | rat * | rat | ) |

Les champs direction et position(x,y) sont initialisés avant que le programme entre dans la boucle de jeu

Parameters

  rat | Un pointeur sur la structure rat

Returns
  void

Here is the caller graph for this function:

void load_barre | ( | barre * | barre | ) |

module barre qui se translate sur l'axe des y

chargement des images

Parameters

  barre | Un pointeur sur la structure barre

Returns
  void

Here is the caller graph for this function:

void load_barre1 | ( | barre1 * | barre1 | ) |

module barre1 qui se translate sur l'axe des x

chargement des images

Parameters

  barre1 | Un pointeur sur la structure barre1

Returns
  void

Here is the caller graph for this function:

void load_barre2 | ( | barre2 * | barre2 | ) |

module barre2 mouvement repetè sur l'axe des y

chargement des images

Parameters

  barre2 | Un pointeur sur la structure barre2

Returns
  void

Here is the caller graph for this function:

void load_clef | ( | clef * | clef | ) |

chargement des images

Parameters

  clef | Un pointeur sur la structure clef

Returns
  void

Here is the caller graph for this function:

void load_file | ( | file * | file | ) |

module file *mouvement repetè sur l'axe des x

chargement des images

Parameters

  file | Un pointeur sur la structure file

Returns
  void

Here is the caller graph for this function:

void load_rat | ( | rat * | rat | ) |

module rat *mouvement repetè sur l'axe des x

chargement des images

Parameters

  rat | Un pointeur sur la structure rat

Returns
  void

Here is the caller graph for this function:

void move_barre | ( | barre * | barre | ) |

cettte fonction fait appel a 2 fonction move_barre_down et move_barre_up

elle permet au perso de se dèplacer vers le haut et vers le bas d'un mouvement continue

Parameters

  barre | Un pointeur sur la structure barre

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_barre1 | ( | barre1 * | barre1 | ) |

cettte fonction fait appel a 2 fonction move_barre1_right et move_barre1_left

elle permet au perso de se dèplacer vers la droite et vers la gauche d'un mouvement continue

Parameters

  barre1 | Un pointeur sur la structure barre1

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_barre1_left | ( | barre1 * | barre1 | ) |

c'est la translation sur l'axe des x

elle permet au perso de se dèplacer vers la gauche

Parameters

  barre1 | Un pointeur sur la structure barre1

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_barre1_right | ( | barre1 * | barre1 | ) |

c'est la translation sur l'axe des x

elle permet au perso de se dèplacer vers la droite

Parameters

  barre1 | Un pointeur sur la structure barre1

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_barre2 | ( | barre2 * | barre2 | ) |

cettte fonction fait appel a 2 fonction move_barre_down et move_barre_up

elle permet au perso de se dèplacer vers le haut et vers le bas d'un mouvement continue

Parameters

  barre2 | Un pointeur sur la structure barre2

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_barre2_down | ( | barre2 * | barre2 | ) |

c'est la translation sur l'axe des y

elle permet au perso de se dèplacer vers le haut

Parameters

  barre2 | Un pointeur sur la structure barre2

Returns
  void

elle permet au perso de se dèplacer vers le bas

Parameters

  barre2 | Un pointeur sur la structure barre2

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_barre_down | ( | barre * | barre | ) |

c'est la translation sur l'axe des y

elle permet au perso de se dèplacer vers le bas

Parameters

  barre | Un pointeur sur la structure barre

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_barre_up | ( | barre * | barre | ) |

c'est la translation sur l'axe des y

elle permet au perso de se dèplacer vers le haut

Parameters

  barre | Un pointeur sur la structure barre

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_file | ( | file * | file | ) |

cettte fonction fait appel a 2 fonction move_file_right et move_file_left

elle permet au perso de se dèplacer vers la droite et vers la gauche d'un mouvement continue

Parameters

  file | Un pointeur sur la structure file

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_file_right | ( | file * | file | ) |

c'est la translation sur l'axe des x

elle permet au perso de se dèplacer vers la droite

Parameters

  file | Un pointeur sur la structure file

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_rat | ( | rat * | rat | ) |

cettte fonction fait appel a 2 fonction move_rat_right et move_rat_left

elle permet au perso de se dèplacer vers la droite et vers la gauche d'un mouvement continue

Parameters

  rat | Un pointeur sur la structure rat

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_rat_left | ( | rat * | rat | ) |

c'est la translation sur l'axe des x

elle permet au perso de se dèplacer vers la gauche

Parameters

  rat | Un pointeur sur la structure rat

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_rat_right | ( | rat * | rat | ) |

c'est la translation sur l'axe des x

elle permet au perso de se dèplacer vers la droite

Parameters

  rat | Un pointeur sur la structure rat

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void veri | ( | barre2 * | barre2 | ) |

verifie la direction

Parameters

  barre2 | Un pointeur sur la structure barre2

Returns
  void

Here is the caller graph for this function:

void verif | ( | file * | file | ) |

verifie la direction

Parameters

  file | Un pointeur sur la structure file

Returns
  void

Here is the caller graph for this function:

void verifd | ( | barre1 * | barre1 | ) |

verifie la direction

Parameters

  barre1 | Un pointeur sur la structure barre1

Returns
  void

Here is the caller graph for this function:

void verifdirr | ( | barre * | barre | ) |

verifie la direction

Parameters

  barre | Un pointeur sur la structure barre

Returns
  void

Here is the caller graph for this function:

void verifdirre | ( | rat * | rat | ) |

verifie la direction

Parameters

  rat | Un pointeur sur la structure rat

Returns
  void

Here is the caller graph for this function: